Name: Mesa
Version: 7.4.1
Release: alt2
Serial: 3
License: MIT
Summary: OpenGL compatible 3D graphics library
Group: System/Libraries
Url: http://www.mesa3d.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ indent libXdamage-devel libXext-devel libXft-devel libXmu-devel libXi-devel libXrender-devel libXxf86vm-devel
BuildRequires: libdrm-devel libexpat-devel openmotif-devel xorg-glproto-devel xorg-dri2proto-devel

%description
Mesa is an OpenGL compatible 3D graphics library.

%package -n libGL
Summary: OpenGL 1.3 compatible 3D graphics library for X Window server
Group: System/Libraries
Provides: Mesa = %version-%release libmesa = %version-%release
Provides: libGLwrapper = %version-%release glx = %version-%release
Obsoletes: Mesa < %version libmesa < %version-%release glx libGLwrapper
Conflicts: xorg-x11-mesagl <= 6.9.0 xorg-x11-mesaGL <= 6.9.0 libmesa < 7.1-alt3
Requires(post): coreutils

%description -n libGL
Mesa is an OpenGL compatible 3D graphics library.

%package -n libGL-devel
Summary: Development files for Mesa Library
Group: Development/C
Requires: libGL = %version-%release libGLU-devel = %version-%release
Requires: libXdamage-devel libXxf86vm-devel libdrm-devel xorg-glproto-devel
Provides: libmesa-devel = %version-%release Mesa-devel = %version-%release
Obsoletes: libmesa-devel < %version-%release Mesa-devel < %version
Conflicts: libmesa-devel < 7.1-alt3
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0 xorg-x11-proto-devel <= 7.3.0-alt13

%description -n libGL-devel
libGL-devel contains the libraries and header files needed to
develop programs which make use of Mesa.

%package -n libGLU
Summary: Mesa libGLU runtime library
Group: System/Libraries
Conflicts: libmesa < 7.1-alt3

%description -n libGLU
Mesa libGLU runtime library

%package -n libGLU-devel
Summary: Mesa libGLU development package
Group: Development/C
Requires: libGLU = %version-%release
Conflicts: libmesa-devel < 7.1-alt3

%description -n libGLU-devel
Mesa libGLU development package

%package -n libGLw
Summary: Xt OpenGL widgets
Group: System/Libraries

%description -n libGLw
Mesa libGLw runtime library.

%package -n libGLw-devel
Summary: Mesa libGLw development package
Group: Development/C
Requires: libGL-devel = %version-%release libGLw = %version-%release

%description -n libGLw-devel
Mesa libGLw development package

%package -n libOSMesa
Summary: Mesa offscreen rendering libraries
Group: System/Libraries

%description -n libOSMesa
Mesa offscreen rendering libraries

%package -n xorg-dri-swrast
Summary: Mesa software rendering libraries
Group: System/X11
Requires: libGL = %version-%release
Conflicts: libmesa < 7.1-alt3

%description -n xorg-dri-swrast
Mesa software rendering libraries

%package -n xorg-dri-intel
Summary: Intel DRI driver
Group: System/X11
Requires: libGL = %version-%release
Obsoletes: xorg-x11-dri-i810 xorg-x11-dri-intel
Provides: xorg-x11-dri-i810 = %serial:%version-%release
Provides: xorg-x11-dri-intel = %serial:%version-%release

%description -n xorg-dri-intel
DRI driver for Intel i8xx, i9xx

%package -n xorg-dri-ati
Summary: ATI DRI driver
Group: System/X11
BuildArch: noarch
Requires: libGL = %version-%release
Requires: xorg-dri-radeon xorg-dri-r128 xorg-dri-mach64
Provides: xorg-x11-dri-ati = %serial:%version-%release
Obsoletes: xorg-x11-dri-ati

%description -n xorg-dri-ati
DRI driver for ATI Match64, Rage 128, R100, R200, R300, R400, R500, R600

%package -n xorg-dri-mach64
Summary: ATI Mach 64 DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-mach64 = %serial:%version-%release
Obsoletes: xorg-x11-dri-mach64

%description -n xorg-dri-mach64
DRI driver for ATI Match64

%package -n xorg-dri-radeon
Summary: ATI RADEON DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-radeon = %serial:%version-%release
Obsoletes: xorg-x11-dri-radeon

%description -n xorg-dri-radeon
DRI driver for ATI R100, R200, R300, R400, R500, R600

%package -n xorg-dri-r128
Summary: ATI Rage 128 DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-r128 = %serial:%version-%release
Obsoletes: xorg-x11-dri-r128

%description -n xorg-dri-r128
DRI driver for ATI Rage 128

%package -n xorg-dri-mga
Summary: MGA DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-mga = %serial:%version-%release
Obsoletes: xorg-x11-dri-mga

%description -n xorg-dri-mga
DRI driver for MGA

%package -n xorg-dri-savage
Summary: Savage DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-savage = %serial:%version-%release
Obsoletes: xorg-x11-dri-savage

%description -n xorg-dri-savage
DRI driver for Savage

%package -n xorg-dri-sis
Summary: SiS DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-sis = %serial:%version-%release
Obsoletes: xorg-x11-dri-sis

%description -n xorg-dri-sis
DRI driver for SiS

%package -n xorg-dri-tdfx
Summary: 3Dfx DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-tdfx = %serial:%version-%release
Obsoletes: xorg-x11-dri-tdfx

%description -n xorg-dri-tdfx
DRI driver for 3Dfx

%package -n xorg-dri-via
Summary: VIA DRI driver
Group: System/X11
Requires: libGL = %version-%release
Provides: xorg-x11-dri-via = %serial:%version-%release
Obsoletes: xorg-x11-dri-via

%description -n xorg-dri-via
DRI driver for VIA

%package -n glxinfo
Summary: display info about a GLX extension and OpenGL renderer.
Group: System/X11

%description -n glxinfo
glxinfo lists information about the GLX extension, OpenGL capable visu-
als, and the OpenGL renderer on an X server. The GLX and renderer  info
includes  the  version  and extension attributes. The visual info lists
the GLX visual attributes available  for  each  OpenGL  capable  visual
(e.g.  whether  the  visual is double buffered, the component sizes, Z-
buffering depth, etc).

%package -n glxgears
Summary: GLX version of the infamous "gears" GL demo.
Group: System/X11

%description -n glxgears
glxgears  is a GLX demo that draws three rotating gears, and prints out
framerate information to stdout.

%define dri_common	swrast,mach64,mga,r128,r200,r300,radeon,savage,tdfx
%define dri_ix86	%dri_common,i810,i915,i965,sis,unichrome
%define dri_x86_64	%dri_common,i915,i965,sis,unichrome
%define dri_ppc		%dri_common,i810,i915,i965,unichrome

%prep
%setup -q
%patch -p1

subst "s|mesa_version|%version|" configure.ac

%build
%define _optlevel s
%autoreconf

%configure \
	--with-driver=osmesa \
	--with-osmesa-bits=8 \
	--with-demos=no \
	--disable-asm \
	--disable-glu \
	--disable-glw \
	--disable-glut
%make_build

%configure \
%ifarch %ix86
	--enable-32-bit \
	--with-driver=dri \
	--with-dri-drivers=%dri_ix86 \
%else
%ifarch x86_64
	--enable-64-bit \
	--with-driver=dri \
	--with-dri-drivers=%dri_x86_64 \
%else
%ifarch ppc
	--enable-32-bit \
	--with-driver=dri \
	--with-dri-drivers=%dri_ppc \
%else	
	--with-dri-drivers=%dri_common \
%endif
%endif
%endif
	--disable-glut \
	--enable-motif \
	--enable-xcb \
	--enable-glx-tls \
	--with-dri-driverdir=%_libdir/X11/modules/dri
%make clean
%make_build

%install
%make DESTDIR=%buildroot install

cp -a lib*/libOSMesa.so* %buildroot%_libdir/

mkdir -p %buildroot%_bindir
install -m755 progs/xdemos/glx{info,gears} %buildroot%_bindir/

mkdir -p %buildroot{%_iconsdir,%_desktopdir}
install -m644 glxgears.desktop %buildroot%_desktopdir/
cp -a icons/hicolor %buildroot%_iconsdir/

# moved libGL
mkdir -p %buildroot%_sysconfdir/X11/%_lib
mv %buildroot%_libdir/libGL.so.1.2 %buildroot%_libdir/X11/
ln -sf ../../..%_libdir/X11/libGL.so.1.2 %buildroot%_sysconfdir/X11/%_lib/libGL.so.1
ln -sf ../..%_sysconfdir/X11/%_lib/libGL.so.1 %buildroot%_libdir/
ln -sf X11/libGL.so.1.2 %buildroot%_libdir/libGL.so

%post -n libGL
[ -r %_sysconfdir/X11/%_lib/libGL.so.1 ] || \
	ln -sf ../../..%_libdir/X11/libGL.so.1.2 %_sysconfdir/X11/%_lib/libGL.so.1
ln -sf ../..%_sysconfdir/X11/%_lib/libGL.so.1 %_libdir/

%triggerpostun -n libGL -- libGL <= 3:7.2-alt19, libmesa <= 3:7.1-alt3
[ -r %_sysconfdir/X11/%_lib/libGL.so.1 ] || \
	ln -sf ../../..%_libdir/X11/libGL.so.1.2 %_sysconfdir/X11/%_lib/libGL.so.1
ln -sf ../..%_sysconfdir/X11/%_lib/libGL.so.1 %_libdir/

%files -n libGL
%doc docs/relnotes-%version.html docs/versions.html docs/news.html
%dir %_sysconfdir/X11/%_lib
%ghost %_sysconfdir/X11/%_lib/libGL.so.1
%_libdir/libGL.so.*
%dir %_libdir/X11
%_libdir/X11/libGL.so.1.2
%dir %_libdir/X11/modules
%dir %_libdir/X11/modules/dri

%files -n libGL-devel
%dir %_includedir/GL
%_includedir/GL/internal
%_includedir/GL/gl.h
%_includedir/GL/gl_mangle.h
%_includedir/GL/glext.h
%_includedir/GL/glx.h
%_includedir/GL/glx_mangle.h
%_includedir/GL/glxext.h
%_libdir/libGL.so
%_pkgconfigdir/gl.pc
%_pkgconfigdir/dri.pc

%files -n libGLU
%_libdir/libGLU.so.*

%files -n libGLU-devel
%_includedir/GL/glu.h
%_includedir/GL/glu_mangle.h
%_libdir/libGLU.so
%_pkgconfigdir/glu.pc

%files -n libGLw
%_libdir/libGLw.so.*

%files -n libGLw-devel
%_includedir/GL/GLw*.h
%_libdir/libGLw.so
%_pkgconfigdir/glw.pc

%files -n libOSMesa
%_libdir/libOSMesa.so*

%files -n xorg-dri-swrast
%_libdir/X11/modules/dri/swrast_dri.so

%files -n xorg-dri-intel
%_libdir/X11/modules/dri/i???_dri.so

%files -n xorg-dri-via
%_libdir/X11/modules/dri/unichrome_dri.so

%ifarch %ix86 x86_64
%files -n xorg-dri-sis
%_libdir/X11/modules/dri/sis_dri.so
%endif

%files -n xorg-dri-ati

%files -n xorg-dri-mach64
%_libdir/X11/modules/dri/mach64_dri.so

%files -n xorg-dri-radeon
%_libdir/X11/modules/dri/radeon_dri.so
%_libdir/X11/modules/dri/r200_dri.so
%_libdir/X11/modules/dri/r300_dri.so

%files -n xorg-dri-r128
%_libdir/X11/modules/dri/r128_dri.so

%files -n xorg-dri-mga
%_libdir/X11/modules/dri/mga_dri.so

%files -n xorg-dri-savage
%_libdir/X11/modules/dri/savage_dri.so

%files -n xorg-dri-tdfx
%_libdir/X11/modules/dri/tdfx_dri.so

%files -n glxinfo
%_bindir/glxinfo

%files -n glxgears
%_bindir/glxgears
%_desktopdir/glxgears.desktop
%_iconsdir/hicolor/*/apps/glxgears.png

%changelog
* Fri Apr 24 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4.1-alt2
- merged mesa-7.2 branch

* Sat Apr 18 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4.1-alt1
- 7.4.1 release

* Thu Apr 16 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt7
- mesa_7_4_branch 2009-04-16 (a975da7aca34883bc2a723306fbf95a3365a65d8)
  + fixed point rendering in software rasterizer
  + fixed potential deadlock in object hash functions
  + fix a couple bugs surrounding front-buffer rendering with DRI2, but this is not quite complete.
  + fixed glPopAttrib() bug when restoring user clip planes
- intel_2009q1_rc3

* Mon Apr 13 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt6
- mesa_7_4_branch 2009-04-11 (49e0c74ddd91900fc4effb6d305d56e0563b456d):
  + fixed a two-sided lighting bug in fixed-function-to-GPU code generation
  + indexing the GLSL gl_EyePlane[] or gl_ObjectPlane[] arrays with a variable was broken
  + fixed incorrect texture unit bias in TXB instruction
  + glTexParameter settings weren't always propogated to drivers
  + assorted vertex/fragment program bug fixes

* Sat Mar 28 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt5
- 7.4 release

* Fri Mar 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt4.rc2
- intel_2009q1_rc2

* Thu Mar 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt3.rc2
- 7.4 RC2

* Sun Mar 22 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt3.rc1
- 7.4 RC1
- libGLw: build with motif

* Tue Mar 17 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt3
- intel_2009q1_rc1

* Fri Mar 06 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt2
- mesa_7_4_branch 2009-03-06 (6801240205cd607eaa41b54d714fd1deeb4d8e3b)

* Fri Feb 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.4-alt1
- mesa_7_4_branch 2009-02-25 (4480e631cdb1d749cc0d921897a5df237ccdf997)
- build libOSMesa.so/libGLw.so

* Thu Jan 22 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.3-alt2
- 7.3 release

* Tue Jan 20 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.3-alt1.rc3
- 7.3 RC3

* Thu Jan 15 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.3-alt1.rc2
- 7.3 RC2

* Sat Jan 10 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.3-alt1.rc1
- 7.3 RC1

* Sat Jan 03 2009 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt20
- openchrome: workaround to avoid the assert main/renderbuffer.c (close #18390)

* Sun Dec 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt19
- i965: Finish OPCODE_NOISEn instructions

* Fri Dec 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt18
- intel: check for null texture

* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt17
- mesa: add missing break statements

* Sat Nov 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt16
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Tue Nov 11 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt15
- intel: reset cliprect_mode to IGNORE_CLIPRECTS
- mesa: fix logic error in GLSL linker when looking for main() shaders

* Sat Nov 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt14
- added ppc support (Sergey Bolshakov)

* Thu Nov 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt13
- i965: implement missing OPCODE_NOISE3 instruction in fragment shaders

* Sun Nov 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt12
- i965: implement the missing OPCODE_NOISE1 and OPCODE_NOISE2 instructions

* Tue Oct 28 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt11
- i965: Allocate temporaries contiguously with other regs in fragment shaders

* Thu Oct 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt10
- drop %%_libdir/libGL.so.1.2

* Wed Oct 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt9
- fixed potential glTexImage(GL_DEPTH_COMPONENT) + convolution bugs

* Tue Oct 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt8
- i915: fix carsh in i830_emit_state

* Thu Oct 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt7
- glGetObjectParameter() sometimes generated wrong error codes

* Thu Oct 09 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt6
- fixed rare vertex color bug in software renderer

* Wed Oct 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt5
- fixed out of bounds memory writes to depth textures

* Mon Oct 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt4
- bufmgr_fake: Copy data from card memory back to backing store when mapping (close #17434)

* Sun Sep 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt3
- disable TTM API

* Sat Sep 20 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt2
- 7.2 release

* Sun Sep 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.2-alt1.rc1
- 7.2 RC1

* Sat Sep 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.1-alt7
- enabled TTM API
- added "--with-driver=dri" for configure (close #17093)

* Fri Sep 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.1-alt6
- i965: added support for G41 chipset which is another 4 series chipset

* Sat Sep 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.1-alt5
- intel: replsed VBLANK_ALWAYS_SYNC to VBLANK_DEF_INTERVAL_0

* Fri Sep 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.1-alt4
- separate libmesa

* Wed Sep 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.1-alt3
- obsoletes libGLU < %%version-%%release

* Fri Aug 29 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.1-alt2
- update libGL.so.1 links for both architectures (close #16227)

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:7.1-alt1
- 7.1 release

* Thu Aug 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt8
- fixed float blend bug

* Mon Aug 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt7
- rearrange some code in _mesa_BindTexture() to fix error detection

* Sat Aug 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt6
- 7.0.4 release

* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt5
- mesa_7_0_branch 2008-08-08:
  + fix out-of-bounds memory reads in swizzle_copy()
  + fix some FBO/texture queries

* Fri Aug 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt4
- mesa_7_0_branch 2008-07-29
* Mon Jul 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt3
- mesa_7_0_branch 2008-07-14:
  + Fixed broken all(bvec2) GLSL function, added misc missing bvec constructors
  + ARB program "state.clip[n].plane" didn't parse correctly
  + Fixed broken glGetUniformiv()

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt2
- add support for Intel 4 series chipsets

* Tue Jun 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.4-alt1
- 7.0.4

* Mon Jun 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt12
- mesa_7_0_branch 2008-06-13

* Mon Jun 09 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt11
- renamed xorg-x11-dri-* to xorg-dri-*
- add support for GL shading language in I965 driver

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt9
- mesa_7_0_branch 2008-05-30:
  + Fix segfault in _save_OBE_DrawElements() when using VBO and display list
  + i965 some fixes

* Tue May 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt8
- mesa_7_0_branch 2008-05-27:
  + Fixed a per-vertex glMaterial bug which could cause bad lighting
  + Fixed potential crash in AA/smoothed triangle rendering when using a fragment shader

* Thu May 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt7
- fixed headers install (close #15570)

* Wed May 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt6
- add E7221 variant to i915

* Fri May 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt5
- mesa_7_0_branch 2008-04-30
- new subpackage Mesa-sources

* Sun Apr 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt4
- install dri_interface.h

* Sat Apr 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt3
- 7.0.3 release

* Wed Apr 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt2.rc3
- 7.0.3 RC3
* Sun Mar 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt2.rc2
- separate xorg-x11-dri-ati for xorg-x11-drv-ati-6.8.0

* Fri Feb 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.3-alt1.rc2
- 7.0.3RC2

* Sun Feb 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt8
- fixed ddx version in nouveau driver

* Sat Jan 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt7
- disable build libglut, libGLw

* Sat Jan 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt6
- arm build support

* Sat Dec 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt5
- fix GL_LINE_LOOP with drivers using own render pipeline stage
- fixed typo in glw.pc

* Fri Nov 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt4
- added GLw includes
- added pkgconfig files
- spec cleanup

* Sun Nov 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt3
- make sure a valid value is returned for GLX_BIND_TO_MIPMAP_TEXTURE_EXT

* Fri Nov 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt2
- rebuild with libdrm-2.4.0

* Sun Nov 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt1
- 7.0.2 is a stable release with bug fixes since version 7.0
- drop upstream patches

* Mon Nov 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt6
- Mesa-7.0.1-git-memleak-in-SSE.patch:
  + Fix mem leak in SSE code generation path and don't crash
    if _mesa_exec_malloc() returns NULL.

* Thu Oct 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt5
- added Mesa-7.0.1-r200-settexoffset.patch,
	Mesa-7.0.1-r300-fix-writemask.patch

* Sun Oct 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt4
- build with xcb

* Fri Sep 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt3
- added "Requires(post): coreutils" for libmesa (close #12959)
- update nouveau dri driver from GIT

* Wed Sep 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt2
- returned Mesa-7.0.1-I945_GME-G33-Q33-Q35.patch
- update nouveau dri driver from GIT

* Sat Aug 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt1
- 7.0.1 bug-fix release

* Wed Aug 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt9
- added Mesa-7.0-git-MAT_ATTRIB_MAX-bug11811.patch,
	Mesa-7.0-git-stencil-value-masking-bug11805.patch,
	Mesa-7.0-git-vbo_split_copy-bug9962.patch,
	Mesa-7.0-git-potential-NULL-dereference-bug11880.patch,
	Mesa-7.0-git-swizzle-error-test-bug11881.patch
- update nouveau dri driver from GIT (requires libdrm-2.3.1-alt5)
- fixed requires for xorg-x11-dri-*

* Wed Aug 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt8
- added Mesa-7.0-git-memleak-bug11791.patch,
	Mesa-7.0-git-memleak-bug11793.patch

* Wed Aug 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt7
- added Mesa-7.0-git-failure-caused-by-undeclared-variable-bug11783.patch,
	Mesa-7.0-git-glGetAttribLocation-bug11774.patch

* Mon Jul 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt6
- added Mesa-7.0-git-glPointParameteriv-bug11754.patch

* Fri Jul 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt5
- added Mesa-7.0-git-fragment-program-bug11733.patch,
	Mesa-7.0-git-function-call-bug11731.patch

* Mon Jul 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt4
- added Mesa-7.0-git-GLX_STEREO-handling-bug11705.patch
- update nouveau dri driver

* Mon Jul 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt3
- added Mesa-7.0-git-depth-mix-up-bug11577.patch,
	Mesa-7.0-git-swizzle-related-bug11534.patch,
	Mesa-7.0-git-shader-info-bug11588.patch

* Tue Jul 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt2
- added Mesa-7.0-git-image-bug11448.patch,
	Mesa-7.0-git-GL_DOT3_RGBA-bug11030.patch

* Sat Jun 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt1
- 7.0 is released. This is a stable release featuring OpenGL 2.1 support.

* Wed Jun 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt8
- add support for the G33, Q33, and Q35 chipsets

* Thu May 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt7
- Mesa-6.5.3-git-point-attentuation-bug11042.patch: fix point attentuation problem
- Mesa-6.5.3-git-GL_TEXTURE_LOD_BIAS-bug11049.patch: restore GL_TEXTURE_LOD_BIAS in _mesa_PopAttrib()
- add support for the i945GME, i965GME and i965GLE chipsets

* Tue May 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt6
- build without xcb

* Sat May 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt5
- added Mesa-6.5.3-git-STATE_HALF_VECTOR-bug10987.patch,
	Mesa-6.5.3-git-i915-s3tc-mipmaps-bug10968.patch

* Tue May 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt4
- added Mesa-6.5.3-git-glXGetArrayType-return-type-bug10938.patch

* Wed May 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt3
- build with xcb

* Sun Apr 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt2
- added Mesa-6.5.3-git-r300-page-flipping.patch: Page flipping fixes

* Fri Apr 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt1
- 6.5.3 release

* Mon Apr 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt21
- added menu file and icons for glxgears (close #11355)

* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt20
- use movdqu instead of movdqa for unaligned load avoiding a segfault (upstream bug 10265) 

* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt19
- added Mesa-6.5.2-git-n_dot_h-bug9977.patch,
	Mesa-6.5.2-git-fix-textrel.patch
- spec cleanup

* Wed Feb 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt18
- added Mesa-6.5.2-git-tnl-bug9856.patch,
	Mesa-6.5.2-git-unichrome-CN700.patch,
	Mesa-6.5.2-git-fd-bug9684.patch

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt17
- added Mesa-6.5.2-git-main-mem-leak.patch,
	Mesa-6.5.2-git-glxext-mem-leak.patch

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt16
- added Mesa-6.5.2-git-i965-glxswapcontrol.patch,
	Mesa-6.5.2-git-CheckArrayBounds-bug9285.patch,
	Mesa-6.5.2-git-GetVertexAttribPointerv-bug9628.patch,
	Mesa-6.5.2-git-i965-static-buffer-bug9604.patch,
	Mesa-6.5.2-git-radeon-radeonClear.patch,
	Mesa-6.5.2-git-i915-vertexfog-bug9686.patch

* Tue Jan 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt15
- added Mesa-6.5.2-git-i915tex-randr-resizing.patch,
	Mesa-6.5.2-git-i915tex-relocation.patch

* Fri Jan 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt14
- added Mesa-6.5.2-git-i965-bug9625.patch

* Sun Jan 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt13
- added Mesa-6.5.2-git-r300-vertex-position.patch
- fixed Mesa-6.5.2-git-r300-fragprog-correct.patch

* Tue Jan 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt12
- added Mesa-6.5.2-git-PolygonMode-bug9578.patch,
	Mesa-6.5.2-git-VBO-state-bug9445.patch,
	Mesa-6.5.2-git-32bit-Z-buffer.patch,
	Mesa-6.5.2-git-i965-inteldebug.patch,
	Mesa-6.5.2-git-i965-flowmode.patch,
	Mesa-6.5.2-git-i965-ARB_occlusion_query.patch,
	Mesa-6.5.2-git-i965-maxprim.patch,
	Mesa-6.5.2-git-i965-bug9201.patch

* Thu Jan 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt11
- added Mesa-6.5.2-git-r300-fragprog-correct.patch

* Mon Jan 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt10
- added Mesa-6.5.2-git-r300-fragprog.patch,
	Mesa-6.5.2-git-i915tex-advertising.patch,
	Mesa-6.5.2-git-i965-sarea.patch

* Mon Dec 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt9
- fixed requires for libmesa
- added Mesa-6.5.2-git-swrast-bug9345.patch

* Thu Dec 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt8
- added Mesa-6.5.2-git-i965-fix-crash-wine.patch,
	Mesa-6.5.2-git-mach64-bug7260.patch,
	Mesa-6.5.2-git-mach64-bug7790.patch,
	Mesa-6.5.2-git-mach64-bug7861.patch,
	Mesa-6.5.2-git-r200-WoW-bug8250.patch
- added -fno-strict-aliasing to CFLAGS (fixed #10418)

* Sun Dec 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt7
- added Mesa-6.5.2-git-i965-bug9045.patch,
	Mesa-6.5.2-git-i965-bug9237.patch

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt6
- added Mesa-6.5.2-git-i915tex-intelWindowMoved.patch

* Sun Dec 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt5
- 6.5.2 release

* Sat Dec 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt4
- CVS snapshot 2006-12-01:
  + Fixed glDrawPixels(GL_COLOR_INDEX, GL_BITMAP) segfault
  + Fixed some gluBuild2DMipmaps() bugs
  + Fixed broken "mgl" name mangling
  + Fixed indirect rending was broken for glMap* functions
  + Added support for ARB_occlusion_query to the tdfx driver

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt3
- CVS snapshot 2006-11-15:
  + Fixed glGetVertexAttribfvARB bug 8883
  + Implemented glGetUniform[fi]vARB() functions

* Tue Nov 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt2
- CVS snapshot 2006-11-14:
  + fragment.fogcoord register didn't always contain the correct value
  + RGBA logicops didn't work reliably in some DRI drivers
  + Fixed broken RGBA LogicOps in Intel DRI drivers
  + Fixed some fragment program bugs in Intel i915 DRI driver
  + New DRI memory manager system. Currently used by the i915tex driver.
- enabled TLS support for x86_64

* Wed Oct 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt1
- CVS snapshot 2006-10-18:
  + fixed invalid memory read while rendering textured points
  + fixed problems with freebsd-dri configuration
  + Mesa's fake glxGetCurrentContext() wasn't thread-aware
  + OPTION NV_position_invariant didn't work in NV vertex programs
  + glDrawPixels into a user-created framebuffer object could crash Xlib driver
  + Line clipping was broken in some circumstances

* Wed Oct 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt8
- build to GLX_USE_TLS to enable TLS support.

* Wed Oct 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt7
- rebuild with glibc-2.5

* Sat Sep 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt6
- 6.5.1 release

* Thu Sep 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt5
- added %%_optlevel 3

* Mon Sep 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt4
- added -pipe -O2 to optflags
- added -fPIC to optflags for %ix86
- added mesa-6.4.1-radeon-use-right-texture-format.patch

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt3
- build mga, savage, sis, tdfx for x86_64

* Wed Aug 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt2
- 6.5.1
- build i810, mga, savage, sis, tdfx for i586 only

* Sat Jun 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt0.cvs20060612
- enabled arch optimization for x86

* Sat Apr 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.4.2-alt1
- rollback 6.4.2

* Sun Apr 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5-alt2
- enabled arch optimization

* Sat Apr 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5-alt1
- 6.5

* Tue Mar 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.2-alt3
- added obsoletes Mesa to libmesa

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.2-alt2
- removed not used i830_dri.so

* Thu Feb 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.2-alt1
- 6.4.2

* Mon Feb 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt6
- fixed provides

* Wed Jan 25 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt5
- fixed LIBGL_DRIVERS_DIR for x86_64 

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt4
- added Provides libGLU-devel to libmesa-devel (#8892)

* Fri Jan 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt3
- set LIBGL_DRIVERS_DIR to %_libdir/X11/modules/dri

* Thu Jan 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt2
- fixed requires

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt1
- 6.4.1

* Tue Nov 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 6.4-alt0.1
- 6.4

* Fri Dec 17 2004 Valery Inozemtsev <shrek@altlinux.ru> 6.2.1-alt1
- 6.2.1

* Wed Sep 22 2004 Valery Inozemtsev <shrek@altlinux.ru> 6.1-alt1
- 6.1
- build demos, glut only

* Wed Apr 28 2004 Anton Farygin <rider@altlinux.ru> 5.0.2-alt2
- removed all compat libMesaGL symlinks (it's need for ldconfig from glibc 2.3)

* Fri Apr 23 2004 Anton Farygin <rider@altlinux.ru> 5.0.2-alt1
- updated to Mesa 5.0.2
- specfile cleanup
- updated glx to glx-xf4-20031008

* Thu Oct 02 2003 Rider <rider@altlinux.ru> 5.0.1-alt7
- enable build libOSMesa (fixed bug #3090)

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 5.0.1-alt6
- fix requires and provides

* Fri Sep 26 2003 Anton Farygin <rider@altlinux.ru> 5.0.1-alt5
- added check in to libGLwrapper for ATI math based video cards

* Tue Jul 29 2003 Peter Novodvorsky <nidd@altlinux.com> 5.0.1-alt4
- updated ALT_MESA and MESA versions.

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 5.0.1-alt3
- updated Mesa to 5.0.1
- added fglrx support in GLwrapper

* Thu Oct 03 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt3
- Rebuild with gcc 3.2

* Wed Sep 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt2
- Fixed linking libraries
- Removed .la files from devel package

* Fri Sep 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt1
- 4.0.3
- Now we building libGLU packages
- build with gcc 2.96
- Fixed rpath

* Mon Apr 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Mon Mar 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.1-alt1
- 4.0.1
- Some spec cleanup

* Fri Nov 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.0-alt1
- 4.0

* Tue Jul 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.5-alt2
- Fixed bug with files in Mesa-demos
- Compile c++ files with optimization
- Added SSE optimization
- Return back libGLU and added libGLU & libGLU-devel packages, define it
  for build it
- Disabled osmesa build
- Fixed SGIX features in libglut - they're not present in Mesa 3.4.2

* Sat Jun 30 2001 Mikhail Zabaluev <mhz@altlinux.ru> 3.5-alt1.1
- added -fno-exceptions -fno-rtti to optflags

* Wed Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.5-alt1
- New version
- Some spec cleanup
- Added MesaOS to Mesa package

* Thu Jun 7 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.4.2-alt1
- New Mesa version
- Remove changelog messages before Jan 2001
- Remove libGLU library. It's now in XFree86-libs package.
- Added new packages - libglut, libglut-devel, glx, libGLwrapper
- Patched libGLwrapper for nVidia commercial driver compatibility
- Some spec cleanup

* Sun Feb 25 2001 AEN <aen@logic.ru>	3.4.1-ipl2mdk
- build 3.4.1 in RE environment
- cleanup spec
